Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonOption

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegafonOption extends IdTitle
Доп.услуга Мегафона, например трафик или бесплатный доступ к какому-то ресурсу. Такие услуги делятся на 2 типа: одноразовые или пролонгирующиеся. Например, если клиент взял дополнительно трафик, то это одноразовая услуга, если подключил подписку на мессенджер, то услуга пролонгирующаяся

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MegafonContractOptionCategory`
  `getCategory()`
  `int`
  `getNpayServiceId()`
  `String`
  `getOptionDescription()`
  `MegafonOptionType`
  `getOptionType()`
  `BigDecimal`
  `getPrice()`
  `String`
  `getProductOfferingId()`
  `MegafonOption`
  `setCategory(MegafonContractOptionCategory category)`
  `MegafonOption`
  `setId(int id)`
  Устанавливает id объекта
  `MegafonOption`
  `setNpayServiceId(int npayServiceId)`
  `MegafonOption`
  `setOptionDescription(String optionDescription)`
  `MegafonOption`
  `setOptionType(MegafonOptionType optionType)`
  `MegafonOption`
  `setPrice(BigDecimal price)`
  `MegafonOption`
  `setProductOfferingId(String productOfferingId)`
  `MegafonOption`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MegafonOption

    public MegafonOption()

- ## Method Details

  - ### getNpayServiceId

    public int getNpayServiceId()

  - ### getOptionDescription

    public String getOptionDescription()

  - ### getOptionType

    public MegafonOptionType getOptionType()

  - ### getPrice

    public BigDecimal getPrice()

  - ### getProductOfferingId

    public String getProductOfferingId()

  - ### setId

    public MegafonOption setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setNpayServiceId

    public MegafonOption setNpayServiceId(int npayServiceId)

  - ### setOptionDescription

    public MegafonOption setOptionDescription(String optionDescription)

  - ### setOptionType

    public MegafonOption setOptionType(MegafonOptionType optionType)

  - ### setPrice

    public MegafonOption setPrice(BigDecimal price)

  - ### setProductOfferingId

    public MegafonOption setProductOfferingId(String productOfferingId)

  - ### setCategory

    public MegafonOption setCategory(MegafonContractOptionCategory category)

  - ### getCategory

    public MegafonContractOptionCategory getCategory()

  - ### setTitle

    public MegafonOption setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`